#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (using network? and finally hang)

%define		module		pyzmq
%define		zeromq_ver	4.3.2
Summary:	Py0MQ - 0MQ bindings for Python 3
Summary(en.UTF-8):	Py0MQ - ØMQ bindings for Python 3
Summary(pl.UTF-8):	Py0MQ - wiązania biblioteki ØMQ dla Pythona 3
Name:		python3-zmq
Version:	26.4.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://github.com/zeromq/pyzmq/releases
Source0:	https://github.com/zeromq/pyzmq/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1262271b8ede1a6f8922c35b11dd27cd
URL:		http://github.com/zeromq/pyzmq
BuildRequires:	cmake >= 3.14
BuildRequires:	ninja
BuildRequires:	python3-Cython >= 3.0.0
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-installer
BuildRequires:	python3-packaging
BuildRequires:	python3-scikit-build-core >= 0.10
%if %{with tests}
BuildRequires:	python3-gevent
BuildRequires:	python3-pytest
BuildRequires:	python3-tornado
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildRequires:	zeromq-devel >= %{zeromq_ver}
%if %{with doc}
BuildRequires:	python3-Cython >= 3.0.0
BuildRequires:	python3-enum-tools
BuildRequires:	python3-gevent
BuildRequires:	python3-linkify-it-py
BuildRequires:	python3-pygments >= 2.4.2
BuildRequires:	python3-sphinx-toolbox
BuildRequires:	sphinx-pdg-3 >= 1.7
%endif
Requires:	python3-modules >= 1:3.8
Requires:	python3-tornado
Requires:	zeromq >= %{zeromq_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
0MQ bindings for Python 3.

%description -l en.UTF-8
ØMQ bindings for Python 3.

%description -l pl.UTF-8
Wiązania biblioteki ØMQ dla Pythona 3.

%package devel
Summary:	Header files for Py0MQ (Python 3 version)
Summary(pl.UTF-8):	Pliki nagłowkowe dla Py0MQ (wersja dla Pythona 3)
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Py0MQ (Python 3 version).

%description devel -l pl.UTF-8
Pliki nagłowkowe dla Py0MQ (wersja dla Pythona 3).

%package apidocs
Summary:	API documentation for Py0MQ module
Summary(pl.UTF-8):	Dokumentacja API modułu Py0MQ
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Py0MQ module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Py0MQ.

%prep
%setup -qn %{module}-%{version}

%build
export SKBUILD_INSTALL_STRIP=false
%py3_build_pyproject

%if %{with doc}
%__unzip -qo build-3/*.whl -d build-3/build-path
PYTHONPATH=$(pwd)/build-3/build-path \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/zmq/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.md LICENSE.md README.md
%dir %{py3_sitedir}/zmq
%{py3_sitedir}/zmq/*.py
%{py3_sitedir}/zmq/*.pyi
%{py3_sitedir}/zmq/*.pxd
%{py3_sitedir}/zmq/__pycache__
%{py3_sitedir}/zmq/py.typed
%dir %{py3_sitedir}/zmq/auth
%{py3_sitedir}/zmq/auth/*.py
%dir %{py3_sitedir}/zmq/backend
%{py3_sitedir}/zmq/backend/*.py
%{py3_sitedir}/zmq/backend/*.pyi
%dir %{py3_sitedir}/zmq/backend/cffi
%{py3_sitedir}/zmq/backend/cffi/*.[ch]
%{py3_sitedir}/zmq/backend/cffi/*.py
%dir %{py3_sitedir}/zmq/backend/cython
%attr(755,root,root) %{py3_sitedir}/zmq/backend/cython/*.so
%{py3_sitedir}/zmq/backend/cython/*.py
%{py3_sitedir}/zmq/backend/cython/*.pxd
%{py3_sitedir}/zmq/backend/cython/*.pxi
%dir %{py3_sitedir}/zmq/devices
%{py3_sitedir}/zmq/devices/*.py
%dir %{py3_sitedir}/zmq/eventloop
%{py3_sitedir}/zmq/eventloop/*.py
%dir %{py3_sitedir}/zmq/green
%{py3_sitedir}/zmq/green/*.py
%dir %{py3_sitedir}/zmq/green/eventloop
%{py3_sitedir}/zmq/green/eventloop/*.py
%dir %{py3_sitedir}/zmq/log
%{py3_sitedir}/zmq/log/*.py
%dir %{py3_sitedir}/zmq/ssh
%{py3_sitedir}/zmq/ssh/*.py
%dir %{py3_sitedir}/zmq/sugar
%{py3_sitedir}/zmq/sugar/*.py
%{py3_sitedir}/zmq/sugar/*.pyi
%dir %{py3_sitedir}/zmq/utils
%{py3_sitedir}/zmq/utils/*.py
%{py3_sitedir}/zmq/*/__pycache__
%{py3_sitedir}/zmq/*/*/__pycache__
%{py3_sitedir}/pyzmq-%{version}.dist-info

%files devel
%defattr(644,root,root,755)
%{py3_sitedir}/zmq/utils/*.h

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,api,*.html,*.js}
%endif
%changelog
* Mon Apr 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zmq.git;a=log;h=master

* Mon Apr 21 2025 Jan Palus <atler@pld-linux.org> 244ac68
- disable binaries stripping

* Mon Apr 21 2025 Jan Palus <atler@pld-linux.org> 0137e8a
- noarch apidocs

* Mon Apr 21 2025 Jan Palus <atler@pld-linux.org> 5172a8d
- up to 26.4.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> bd10e12
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7a092bd
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0562afe
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 92bc39a
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> e9b3d71
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 4dde013
- release 2 (by relup.sh)

* Mon Sep 21 2020 Jakub Bogusz <qboosh@pld-linux.org> e29bbdc
- updated to 19.0.2

* Wed Apr 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 7608827
- updated to 19.0.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1e409e5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Sep 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 800a151
- updated to 18.1.0
- added -apidocs

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> 4d80dc7
- use epoch 1 for python3 package

* Mon Oct 22 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 768c798
- distribute is obsoleted by setuptools

* Sun Jul 08 2018 Jan Rękorajski <baggins@pld-linux.org> 50da0fe
- up to 17.0.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d89ae4
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f7f7751
- rel 6; fix build with new cython

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c6d70f
- python 3.6
- release 5 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 924e6a3
- use rpm python macros
- rel 4

